Name: imapsync
Summary: Tool to migrate email between IMAP servers
Version: 2.229
Release:    1%{?dist}
License: NLPL

URL: http://github.com/imapsync/imapsync

Source0: https://github.com/%{name}/%{name}/archive/%{name}-%{version}/%{name}-%{version}.tar.gz
Patch0: imapsync-remove-inet6-pkg.patch

BuildArch: noarch
BuildRequires: perl(App::cpanminus)
BuildRequires: perl(Authen::NTLM)
BuildRequires: perl(CGI)
BuildRequires: perl(Class::Load)
BuildRequires: perl(Compress::Zlib)
BuildRequires: perl(Data::Uniqid)
BuildRequires: perl(Digest::HMAC_MD5)
BuildRequires: perl(Digest::MD5)
BuildRequires: perl(Dist::CheckConflicts)
BuildRequires: perl(Encode::IMAPUTF7)
BuildRequires: perl(English)
BuildRequires: perl(File::Copy::Recursive)
BuildRequires: perl(File::Tail)
BuildRequires: perl(HTML::Entities)
BuildRequires: perl(IO::Socket::SSL)
BuildRequires: perl(IO::Tee)
BuildRequires: perl(JSON::WebToken)
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(Mail::IMAPClient) >= 3.25
BuildRequires: perl(Module::Implementation)
BuildRequires: perl(Module::ScanDeps)
BuildRequires: perl(Net::Ping)
BuildRequires: perl(Package::Stash)
BuildRequires: perl(Package::Stash::XS)
BuildRequires: perl(PAR::Packer)
BuildRequires: perl(Pod::Usage)
BuildRequires: perl(Proc::ProcessTable)
BuildRequires: perl(Readonly)
BuildRequires: perl(Regexp::Common)
BuildRequires: perl(Sys::MemInfo)
BuildRequires: perl(Term::ReadKey)
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::Mock::Guard)
BuildRequires: perl(Test::MockObject)
BuildRequires: perl(Test::NoWarnings)
BuildRequires: perl(Test::Pod)
BuildRequires: perl(Test::Requires)
BuildRequires: perl(Test::Simple)
BuildRequires: perl(Test::Warn)
BuildRequires: perl(Time::HiRes)
BuildRequires: perl(Try::Tiny)
BuildRequires: perl(Unicode::String)
BuildRequires: perl(URI::Escape)
BuildRequires: procps-ng

BuildRequires: perl-generators
BuildRequires: perl-podlators
BuildRequires: make

Requires: perl(Authen::NTLM)
Requires: perl(Compress::Zlib)
Requires: perl(Data::Uniqid)
Requires: perl(Digest::HMAC_MD5)
Requires: perl(Digest::HMAC_SHA1)
Requires: perl(Digest::MD5)
Requires: perl(Encode::IMAPUTF7)
Requires: perl(English)
Requires: perl(File::Copy::Recursive)
Requires: perl(File::Path)
Requires: perl(File::Spec)
Requires: perl(File::Tail)
Requires: perl(IO::Socket::SSL)
Requires: perl(IO::Tee)
Requires: perl(JSON::WebToken)
Requires: perl(Mail::IMAPClient) >= 3.25
Requires: perl(Pod::Usage)
Requires: perl(Proc::ProcessTable)
Requires: perl(Regexp::Common)
Requires: perl(Readonly)
Requires: perl(Sys::MemInfo)
Requires: perl(Term::ReadKey)
Requires: perl(Test::MockObject)
Requires: perl(Test::Pod)
Requires: perl(Test::Simple)
Requires: perl(Time::HiRes)
Requires: perl(Unicode::String)
Requires: perl(URI::Escape)
Requires: procps-ng

%description
imapsync is a tool for facilitating incremental recursive IMAP
transfers from one mailbox to another. It is useful for mailbox migration,
and reduces the amount of data transferred by only copying messages that
are not present on both servers. Read, unread, and deleted flags are preserved,
and the process can be stopped and resumed. The original messages can
optionally be deleted after a successful transfer.

%prep
%autosetup -p1 -n %{name}-%{name}-%{version}

cat << \EOF > %{name}-req
%{__perl_requires} $* |\
  sed -e '/perl(--prefix2)/d'
EOF

%define __perl_requires %{_builddir}/%{name}-%{version}/%{name}-req

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/W
%{__make} install DESTDIR="%{buildroot}"
iconv -f iso-8859-1 -t utf-8 -o ChangeLog.utf8 ChangeLog && %{__mv} ChangeLog.utf8 ChangeLog
iconv -f iso-8859-1 -t utf-8 -o TODO.utf8 TODO && %{__mv} TODO.utf8 TODO

%files
%doc ChangeLog CREDITS INSTALL INSTALL.d TODO README FAQ FAQ.d LICENSE NOLIMIT
%{_bindir}/imapsync
%attr(644, root, root) %{_mandir}/man1/imapsync.1*

%ChangeLog
* Mon Jul 01 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.229-4.2
- initial build
